SCVPReqRes (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class SCVPReqRes

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.SCVPReqRes

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SCVPReqRes
      extends ASN1Object

  RFC 5940: Additional Cryptographic Message Syntax (CMS) Revocation Information Choices.

       SCVPReqRes ::= SEQUENCE {
           request  [0] EXPLICIT ContentInfo OPTIONAL,
           response     ContentInfo }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCVPReqRes(ContentInfo response)`
    `SCVPReqRes(ContentInfo request, ContentInfo response)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SCVPReqRes` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `static SCVPReqRes` | `getInstance(java.lang.Object obj)` Return a SCVPReqRes object from the given object.
    `ContentInfo` | `getRequest()`
    `ContentInfo` | `getResponse()`
    `static SCVPReqRes` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCVPReqRes

          public SCVPReqRes(ContentInfo response)

    - #### SCVPReqRes

          public SCVPReqRes(ContentInfo request,
                            ContentInfo response)

  - ### Method Detail

    - #### getInstance

          public static SCVPReqRes getInstance(java.lang.Object obj)

      Return a SCVPReqRes object from the given object.

      Accepted inputs:

      - null → null
      - `SCVPReqRes` object
      - `ASN1Sequence` input formats with SCVPReqRes structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static SCVPReqRes getInstance(ASN1TaggedObject taggedObject,
                                               boolean declaredExplicit)

    - #### getTagged

          public static SCVPReqRes getTagged(ASN1TaggedObject taggedObject,
                                             boolean declaredExplicit)

    - #### getRequest

          public ContentInfo getRequest()

    - #### getResponse

          public ContentInfo getResponse()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        the ASN.1 primitive representation.